[icinga-checkins] icinga.org: icinga2/next: Debian: add updateversion tool for local tests.

git at icinga.org git at icinga.org
Wed Jun 11 13:13:30 CEST 2014


Module: icinga2
Branch: next
Commit: 95387db8f3239828f48a7bf3f97340582af8a0e7
URL:    https://git.icinga.org/?p=icinga2.git;a=commit;h=95387db8f3239828f48a7bf3f97340582af8a0e7

Author: Markus Frosch <markus at lazyfrosch.de>
Date:   Sun May 25 21:30:29 2014 +0200

Debian: add updateversion tool for local tests.

Refs #5816

---

 debian/updateversion |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/debian/updateversion b/debian/updateversion
new file mode 100755
index 0000000..b9b0c30
--- /dev/null
+++ b/debian/updateversion
@@ -0,0 +1,14 @@
+#!/bin/bash
+###
+# Helper script to update the Debian changelog locally
+###
+
+set -e
+set -x
+
+#VERSION=$(grep -E "^Version:" icinga2.spec | cut -d" " -f2)
+VERSION=`git describe | sed 's/^v//' | grep -oP "^\d+\.\d+\.\d+"`
+DEB_VERSION_SUFFIX=$(echo "+icingasnap"`date +%Y%m%d%H%M`"."`git rev-parse --short HEAD`)
+
+# update Debian version
+dch "$@" --newversion "${VERSION}${DEB_VERSION_SUFFIX}" ""



More information about the icinga-checkins mailing list